Bug 56781 - Allow to set mnemonics for TreeTableView column names
Allow to set mnemonics for TreeTableView column names
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
4.x
All All
: P3 (vote)
: 4.x
Assigned To: Stanislav Aubrecht
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks: 55074
  Show dependency treegraph
 
Reported: 2005-03-22 09:36 UTC by Stanislav Aubrecht
Modified: 2008-12-22 18:48 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Diff patch (4.73 KB, patch)
2005-03-22 09:37 UTC, Stanislav Aubrecht
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2005-03-22 09:36:17 UTC
The current implementation of TreeTableView class does not provide methods for
setting of the mnemonic character for column display names. This leads to
accessibility issues in e.g. 'Change Visible Columns' dialog window.

I suggest to add a new property "ColumnMnemonicCharTTV" to the column model that
would hold the mnemonic character. See the attached diff for more details.
Comment 1 Stanislav Aubrecht 2005-03-22 09:37:56 UTC
Created attachment 21021 [details]
Diff patch
Comment 2 Jaroslav Tulach 2005-03-24 11:41:15 UTC
I am ok with the change, just in order to somehow prevent future regression I
would advice to write a test that will verify that the mnemonic is really set on
JCheckBox b = new JCheckBox( boxtext, oldvalues[i] ).
Comment 3 Stanislav Aubrecht 2005-03-29 13:41:25 UTC
i'm going to integrate tomorrow
Comment 4 Stanislav Aubrecht 2005-03-30 11:59:36 UTC
fixed

Checking in api/doc/changes/apichanges.xml;
/cvs/openide/api/doc/changes/apichanges.xml,v  <--  apichanges.xml
new revision: 1.240; previous revision: 1.239
done
Checking in src/org/openide/explorer/view/NodeTableModel.java;
/cvs/openide/src/org/openide/explorer/view/NodeTableModel.java,v  <-- 
NodeTableModel.java
new revision: 1.25; previous revision: 1.24
done
Checking in src/org/openide/explorer/view/TreeTableView.java;
/cvs/openide/src/org/openide/explorer/view/TreeTableView.java,v  <-- 
TreeTableView.java
new revision: 1.73; previous revision: 1.72
done
Checking in test/unit/src/org/openide/explorer/view/NodeTableModelTest.java;
/cvs/openide/test/unit/src/org/openide/explorer/view/NodeTableModelTest.java,v 
<--  NodeTableModelTest.java
new revision: 1.3; previous revision: 1.2
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo